## edu.msu.cme.rdp.classifier.rrnaclassifier
Class ClassificationResult

    java.lang.Object
      edu.msu.cme.rdp.classifier.rrnaclassifier.ClassificationResult

    public class ClassificationResult

extends java.lang.Object

This class holds the classification results for a query sequence.

Field Summary
`(package private) java.util.List` `assignments`
`(package private) HierarchyVersion` `hVersion`
`(package private) Sequence` `pSeq`

Constructor Summary
`ClassificationResult(Sequence p, java.util.List a, HierarchyVersion version)` Creates a new instance of ClassificationResult.

Method Summary
`java.util.List` `getAssignments()` Returns a list of RankAssignments.
`HierarchyVersion` `getHierarchyTrainsetNo()` Returns the version of the taxonomy hierarchy from of the training file.
`Sequence` `getSequence()` Returns the query sequence
`int` `getTrainsetNo()` Returns the training set number of the taxonomy hierarchy from of the training file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pSeq

    Sequence pSeq

### assignments

    java.util.List assignments

### hVersion

    HierarchyVersion hVersion

Constructor Detail

### ClassificationResult

    ClassificationResult(Sequence p,
                         java.util.List a,
                         HierarchyVersion version)

  Creates a new instance of ClassificationResult. This class holds the classification results for a query sequence.

Method Detail

### getSequence

    public Sequence getSequence()

  Returns the query sequence

### getAssignments

    public java.util.List getAssignments()

  Returns a list of RankAssignments. The assignments are returned in the order of taxonomic ranks, from the highest to the lowest.

### getTrainsetNo

    public int getTrainsetNo()

  Returns the training set number of the taxonomy hierarchy from of the training file.

### getHierarchyTrainsetNo

    public HierarchyVersion getHierarchyTrainsetNo()

  Returns the version of the taxonomy hierarchy from of the training file.